﻿
body {
    padding-top: 0rem;
    background-color: rgba(197,197,197,1.00);
}

a.dropdown-toggle {
    color: #f8f9fa;
}

.navbar-nav li:hover > ul.dropdown-menu {
    display: block;
}

.dropdown-submenu {
    position: relative;
}

.dropdown-submenu > .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -6px;
}
.HeadSite{
    margin-top:25px;
}

.TableRowPadding {
    padding: 1px !important;
}

.TableTH-1 {
    padding: 3px !important;
    width: 20%;
}
.TableTH-2 {
    padding: 3px !important;
    width: 40%;
}

.TableTH-3 {
    padding: 3px !important;
    width: 10%;
}

.TablePadding {
    padding: 5px !important;
}

.FormEvent {
    padding: 0px !important;
}

.FormEventBlock{
    background-color:yellow;
}

.StripOddRow {
    background-color: gray;
}

.ButtonPad {
    margin: 1px !important;
}

.ButtonPadXS{
    margin: 3px !important;
}

.formlabel {
    margin: 5px !important;
}

.display-flex-center {
    display: flex;
    align-items: center;
    
}

.bgExtraRow {
    background-color: red;
}

.cnt0Pad {
    padding: 0px !important;
}

.cnt20TPad {
    padding: 20px !important;
}
.xsBodyPad {
    padding-top: 3.5rem;
}

.smHeadPad {
    padding-top: 1rem;
}

.HeadTAllPad {
    margin-left: 0px;
    margin-right: 0px;
    margin-top: 5px
}

.HeadTOPPad {
    padding-top: 8px;
}

.SumTOPMarg {
    margin-top: 5px;
}


.colorFontRed {
    color:red;
}

.colorFontBlack {
    color: black;
}

.colorFontNoActive {
    color: rgba(220,220,220,1);
}

.hrRed {
    height: 2px;
    background: red;
}

.NadpisStrany {
    font-size: 2rem;
    font-weight: 800;
    line-height: 1.5;
    text-align: left;
    margin-top: 0;
    margin-bottom: 0.5rem;
    color: #8b7b8b;
}

.NadpisStranyII {
    font-size: 1.5rem;
    font-weight: 700;
    line-height: 1.5;
    text-align: left;
    margin-top: 0;
    margin-bottom: 0.5rem;
    color: #8b7b8b;
}

.DetailStrany {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    text-align: left;
    margin-top: 0;
    margin-bottom: 0.5rem;
    color: #8b7b8b;
}


.textboxDate {
    width:110px;
}

.grayBgBlock {
    /*background-color: rgba(180,180,180,1.00);*/
    background-color: rgba(197,197,197,1.00);
}

.grayBgDarkBlock {
    background-color: rgba(180,180,180,1.00);
    
}


.alert {

    color: red;
}

.falseData {
    font-weight: 400;
    background-color: rgba(180,180,180,1.00);
    color: red;
}



/* DEBUG */

.DBGstrBlockHDBlock {
    background-color: #f7f7f7;
    color: #292b2c;
}

.DBGstrBlockTime_O {
    background-color:#a7a7a7 ;
    color: #292b2c;
}

.DBGstrBlockTime_E {
    background-color: #e7e7e7;
    color: #292b2c;
}



.DBGstrBlockMax_O {
    background-color: #F96B00 !important;
}

.DBGstrBlockMax_E {
    background-color: #910814 !important;
}

.DBGstrBlockVal_O {
    background-color: rgba(120, 216, 230, 1.00) !important;
}

.DBGstrBlockVal_E {
    background-color: rgba(80, 150, 255, 1.00) !important;
}

.DBGstrBlockTar_O {
    background-color: rgba(120, 236, 250, 1.00) !important;
}

.DBGstrBlockTar_E {
    background-color: rgba(80, 180, 255, 1.00) !important;
}

.DBGstrBlockTol_O {
    background-color: rgba(193, 250, 236, 1.00) !important;
}

.DBGstrBlockTol_E {
    background-color: rgba(160, 255, 160, 1.00) !important;
}

.DBGstrBlockNTol_O {
    background-color: rgba(200, 200, 250, 1.00) !important;
}

.DBGstrBlockNTol_E {
    background-color: rgba(180, 130, 255, 1.00) !important;
}

.DBGstrBlockDia_O {
    background-color: rgba(230, 230, 100, 1.00) !important;
}

.DBGstrBlockDia_E {
    background-color: rgba(200, 200, 80, 1.00) !important;
}

.DBGstrBlockJal_O {
    background-color: rgba(200, 200, 200, 1.00) !important;
}

.DBGstrBlockJal_E {
    background-color: rgba(150, 150, 150, 1.00) !important;
}

.DBGstrSum_O {
    background-color: rgba(255, 200, 150, 1.00) !important;
    
}

.DBGstrSum_E {
    background-color: rgba(224, 168, 0, 1.00) !important;
}

.DBGbg-LG_O {
    background-color: rgba(255, 255, 255, 1.00) !important;
}

.DBGbg-LG_E {
    background-color: rgba(100, 100, 100, 1.00) !important;
}


.DBGBlockborder_light {
    border-color: green !important;
}

.DBGBlockborder_dark {
    border-color: lightgreen !important;
}

.DBGSumBlockborder_light {
    border-color: lightcoral !important;
}

.DBGSumBlockborder_dark {
    border-color: darkred !important;
}

/* konec debug*/


/* RELEASE*/

.strBlockHDBlock {
    background-color: #343a40;
    color: #f7f7f7;
}

.strBlockTime_E {
    background-color: #a0a0a0;
    color: #292b2c;
}

.strBlockTime_O {
    background-color: #b7b7b7;
    color: #292b2c;
}

.strBlockEvent_E {
    background-color: #c8be8c;
    color: #292b2c;
}

.strBlockEvent_O {
    background-color: #e6dcaa;
    color: #292b2c;
}

.strBlockMax_O {
    background-color: #fabea0 !important;
}

.strBlockMax_E {
    background-color: #DC9678!important;
}

.strBlockVal_O {
    background-color: #b4eeb4 !important;
}

.strBlockVal_E {
    background-color: #9bcd9b !important;
}

.strBlockTar_O {
    background-color: #eed5d2 !important;
}

.strBlockTar_E {
    background-color: #cdb7b5 !important;
}

.strBlockTol_O {
    background-color: #ccfd7f !important;
}

.strBlockTol_E {
    background-color: #a6c875 !important;
}

.strBlockNTol_O {
    background-color: #ffaeb9 !important;
}

.strBlockNTol_E {
    background-color: #cd8c95 !important;
}

.strBlockDia_O {
    background-color: #ffec8b !important;
}

.strBlockDia_E {
    background-color: #cdbe70 !important;
}

.strBlockJal_O {
    background-color: #ffe4c4 !important;
}

.strBlockJal_E {
    background-color: #cdb79e !important;
}

.strSum_O {
    background-color: #ffd39b !important;
}

.strSum_E {
    background-color: #deb887 !important;
}

.bg-LG_O {
    background-color: #8deeee !important;
}

.bg-LG_E {
    background-color: #79cdcd !important;
}

.Blockborder_light {
    border-color: #f8f9fa !important;
}

.Blockborder_dark {
    border-color: #a7a7a7 !important;
}

.BlockborderDouble_dark {
    border-color: black !important;
    border-width: thick;
}

.SumBlockborder_light {
    border-color: #ffE3AB !important;
}

.SumBlockborder_dark {
    border-color: #deb077 !important;
}

/* spotové ceny */

/* Default barva -  nezapočítává se do hodnoty Constants.SPOTSTYLENUM - použije se pokud barva ze služby není nastavena resp. je nastavena na 0 */
.strSpotCC_E0 {
    background-color: #a0a0a0;
    color: #292b2c;
}

.strSpotCC_O0 {
    background-color: #b7b7b7;
    color: #292b2c;
}

/* počet stylu strSpotCC musí odpovídat  hodnotě v Constants.SPOTSTYLENUM, respektive budou se číst jen styly do hodnoty Constants.SPOTSTYLENUM */
/* např pro Constants.SPOTSTYLENUM = 3 se budou číst .strSpotCC_O1, .strSpotCC_O2, .strSpotCC_O3 analogicky .strSpotCC_E1 atd ... */

.strSpotCC_O1 {
    background-color: #fabea0 !important;
}

.strSpotCC_E1 {
    background-color: #DC9678 !important;
}

.strSpotCC_O2 {
    background-color: #b4eeb4 !important;
}

.strSpotCC_E2 {
    background-color: #9bcd9b !important;
}

.strSpotCC_O3 {
    background-color: #eed5d2 !important;
}

.strSpotCC_E3 {
    background-color: #cdb7b5 !important;
}

.strSpotCC_O4 {
    background-color: #ccfd7f !important;
}

.strSpotCC_E4 {
    background-color: #a6c875 !important;
}

.strSpotCC_O5 {
    background-color: #ffaeb9 !important;
}

.strSpotCC_E5 {
    background-color: #cd8c95 !important;
}

.strSpotCC_O6 {
    background-color: #ffec8b !important;
}

.strSpotCC_E6 {
    background-color: #cdbe70 !important;
}

.strSpotCC_O7 {
    background-color: #ffe4c4 !important;
}

.strSpotCC_E7 {
    background-color: #cdb79e !important;
}

.strSpotCC_O8 {
    background-color: #ffd39b !important;
}

.strSpotCC_E8 {
    background-color: #deb887 !important;
}

/* konec spotové ceny*/

/* spotové ceny */

/* Default barva -  nezapočítává se do hodnoty Constants.CONSUMPSTYLENUM - použije se pokud barva ze služby není nastavena resp. je nastavena na 0 */
.strConsumpCC_E0 {
    background-color: #a0a0a0;
    color: #292b2c;
}

.strConsumpCC_O0 {
    background-color: #b7b7b7;
    color: #292b2c;
}


/* počet stylu strConsumpCC musí odpovídat  hodnotě v Constants.CONSUMPSTYLENUM, respektive budou se číst jen styly do hodnoty Constants.CONSUMPSTYLENUM */
/* např pro Constants.CONSUMPSTYLENUM = 3 se budou číst .strConsumpCC_O1, .strConsumpCC_O2, .strConsumpCC_O3 analogicky .strConsumpCC_E1 atd ... */

.strConsumpCC_O1 {
    background-color: #fabea0 !important;
}

.strConsumpCC_E1 {
    background-color: #DC9678 !important;
}

.strConsumpCC_O2 {
    background-color: #b4eeb4 !important;
}

.strConsumpCC_E2 {
    background-color: #9bcd9b !important;
}

.strConsumpCC_O3 {
    background-color: #eed5d2 !important;
}

.strConsumpCC_E3 {
    background-color: #cdb7b5 !important;
}

.strConsumpCC_O4 {
    background-color: #ccfd7f !important;
}

.strConsumpCC_E4 {
    background-color: #a6c875 !important;
}

.strConsumpCC_O5 {
    background-color: #ffaeb9 !important;
}

.strConsumpCC_E5 {
    background-color: #cd8c95 !important;
}

.strConsumpCC_O6 {
    background-color: #ffec8b !important;
}

.strSpotCC_E6 {
    background-color: #cdbe70 !important;
}

.strConsumpCC_O7 {
    background-color: #ffe4c4 !important;
}

.strConsumpCC_E7 {
    background-color: #cdb79e !important;
}

.strConsumpCC_O8 {
    background-color: #ffd39b !important;
}

.strConsumpCC_E8 {
    background-color: #deb887 !important;
}

/* konec spotřeba*/

/* konec release*/



.styleFalseRed{
    color:red;
}

.styleFalseOK {
    color: black;
}

.doubleborder {
    border-width: 2px !important;
}
.datetimepickerFixedWidth {
    width: 100px !important;
}


.colorPickSelector {
     border-radius: 5px;
     width: 36px;
     height: 36px;
     cursor: pointer;
     -webkit-transition: all linear .2s;
     -moz-transition: all linear .2s;
     -ms-transition: all linear .2s;
     -o-transition: all linear .2s;
     transition: all linear .2s;
}


.colorPickSelector:hover {
    transform: scale(1.1);
}


.wrapp {
    height: 100%;
    display: flex;
    flex-direction: column;
}

.hea, .foo {
    background: silver;
}

.con {
    flex: 1;
    overflow: auto;
    background: pink;
}


